gforge-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Gforge-commits] gforge/utils install-apache.sh,1.9,1.10


From: cbayle
Subject: [Gforge-commits] gforge/utils install-apache.sh,1.9,1.10
Date: Wed, 20 Oct 2004 16:45:23 -0500

Update of /cvsroot/gforge/gforge/utils
In directory db.perdue.net:/tmp/cvs-serv3288/utils

Modified Files:
        install-apache.sh 
Log Message:
Preliminary changes to support apache2 in debian by [hal]


Index: install-apache.sh
===================================================================
RCS file: /cvsroot/gforge/gforge/utils/install-apache.sh,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -d -r1.9 -r1.10
--- install-apache.sh   8 Apr 2004 21:43:13 -0000       1.9
+++ install-apache.sh   20 Oct 2004 21:45:20 -0000      1.10
@@ -68,7 +68,7 @@
 then
 if [ -z "$APACHE_ETC_SEARCH" ] 
 then 
-       APACHE_ETC_SEARCH="/etc/apache/httpd.conf /etc/apache-perl/httpd.conf 
/etc/apache-ssl/httpd.conf"
+       APACHE_ETC_SEARCH="/etc/apache2/apache2.conf /etc/apache/httpd.conf 
/etc/apache-perl/httpd.conf /etc/apache-ssl/httpd.conf"
 fi
 if [ -z "$GFORGE_ETC_SEARCH" ] 
 then 
@@ -76,7 +76,7 @@
 fi
 if [ -z "$PHP_ETC_SEARCH" ] 
 then 
-       PHP_ETC_SEARCH="/etc/php4/apache/php.ini /etc/php4/cgi/php.ini"
+       PHP_ETC_SEARCH="/etc/php4/apache2/php.ini /etc/php4/apache/php.ini 
/etc/php4/cgi/php.ini"
 fi
 export APACHE_ETC_SEARCH GFORGE_ETC_SEARCH PHP_ETC_SEARCH
 
@@ -181,6 +181,30 @@
                        fi
                done
        fi
+       # do configuring for apache2, loop through flavours not necessary
+       # but it's here in case other flavours of apache2 come along
+       if [ -f /usr/sbin/a2enmod ] ; then
+               for flavour in apache2 ;  do
+                       if [ -e /etc/$flavour/httpd.conf ] ; then
+                               /usr/sbin/a2enmod php4
+                               /usr/sbin/a2enmod ssl
+                               #not enabling env module, part of base in 
apache2
+                               /usr/sbin/a2enmod vhost_alias
+
+                               LINK=`ls -l 
/etc/$flavour/conf.d/gforge.httpd.conf | sed 's/.*-> \(.*\)$/\1/'`
+                               if [ "$LINK" != "$GFORGE_ETC_LIST" ] ; then 
+                                       echo Removing symlink
+                                       rm -f 
/etc/$flavour/conf.d/gforge.httpd.conf
+                               fi
+                               if [ -d /etc/$flavour/conf.d ] ; then
+                                       [ ! -e 
/etc/$flavour/conf.d/gforge.httpd.conf ] && ln -s $GFORGE_ETC_LIST 
/etc/$flavour/conf.d/gforge.httpd.conf
+                               fi
+                       fi
+                       if [ -x /usr/sbin/$flavour ]; then
+                               invoke-rc.d $flavour restart || true
+                       fi
+               done
+       fi
        ;;
 
     purge-files)
@@ -195,7 +219,7 @@
        ;;
 
     purge)
-       for flavour in apache apache-perl apache-ssl ; do
+       for flavour in apache apache-perl apache-ssl apache2; do
                [ ! -e /etc/$flavour/conf.d/gforge.httpd.conf ] && rm -f 
/etc/$flavour/conf.d/gforge.httpd.conf
                if [ -x /usr/sbin/$flavour ]; then
                        invoke-rc.d $flavour restart || true





reply via email to

[Prev in Thread] Current Thread [Next in Thread]